Subject: Re: Floating Point problems with Linux on the EST SBC8260

From: [email-masked] (diekema_jon)
Date: Wed, 24 May 2000 19:41:54 -0400 (EDT)

>>From Dan Malek:

> Further, you would have discovered the 1.1 CDK is for an 8xx and the
> libraries are compiled for soft (in-line) floating point.  You are
> mixing floating point instructions with library and compiler support
> that assumes otherwise.

My application was statically linked against the Denx CDK that was
compiled for hard float.  The static application already has all the
libraries routines that it needs, hence it won't pull in the Hard Hat
Linux 1.1 libraries (soft float) from the root filesystem.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/